CentOS 6.x升级Python到2.7

在CentOS 6.x上,默认自带的Python是2.6.x版本,这个版本的Python有点老了,比如“collections.OrderedDict”就是2.7才有的,而且著名的Python Web框架Django的新版(如:1.7)就不支持Python2.6,最低要求是2.7了。而一些公司或者共有云上的服务器就是使用CentOS6.x,所以也就有了升级Python到2.7的需求。

升级Python之前,需要先安装一些工具和软件库,否则后面安装Python或pip时可能出错。
Python2.7通过源码安装,python可行执行程序默认是安装在/usr/local/bin/,一般来在$PATH中,/usr/local/bin是优先使用的(如果不是,需要自己设置一下PATH环境变量)。
在安装完python后,还需要安装easy_install和pip这两个最常用工具。

整个安装过程,我总结过如下一个Shell脚本(以安装Python2.7.8为例,以root权限运行),供参考:
https://github.com/smilejay/shell/blob/master/sh2014/install_py27_on_centos.sh

一篇参考文档:
https://github.com/h2oai/h2o/wiki/Installing-python-2.7-on-centos-6.3.-Follow-this-sequence-exactly-for-centos-machine-only

master

Stay hungry, stay foolish.

2 Comments

  1. 脚本很好用,wget 加上–no-check-certificate选项要好些。

    • 很好的建议;已加上了。wget https url时,确实我也可能遇到过证书的问题。

发表评论

电子邮件地址不会被公开。 必填项已用*标注